<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Date',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		$this->Cell(30,6,'Code',1,0,'C',true);
		$this->Cell(90,6,'Member Name',1,0,'C',true);
		$this->Cell(20,6,'InActive',1,0,'C',true);
		$this->Ln(7);
	}

	function Isi ($col1,$col2,$col3,$col4,$col5){
		global $font;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,$col1,0,0,'C',true);
		$this->Cell(30,6,$col2,0,0,'',true);
		$this->Cell(30,6,$col3,0,0,'',true);
		$this->Cell(90,6,$col4,0,0,'',true);
		$this->Cell(20,6,$col5,0,0,'',true);
		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( isset($_POST['seluruh']) ) {
	$wherecond = "DATE(tblpelang.Input_DateTime) <= now()";
	$detail = 'For All';
} else {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$wherecond = "YEAR(tblpelang.Input_DateTime) = '$tahun' AND MONTH(tblpelang.Input_DateTime) = '$bulan'";
}

if ( $wherecond != "" ){
	$wherecond = " WHERE " . $wherecond;
}

// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Member Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');
$pdf->AliasNbPages();
$pdf->AddPage('P','A4');
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$debet = array();

//get database
$select = "SELECT tblpelang.Input_DateTime AS Input_DateTime, tblcabang.NamaCabang AS NamaCabang, tblpelang.Nama AS Nama, tblpelang.Kode AS Kode , tblpelang.Non_Aktif AS Non_Aktif ";
$perintahdb = "$select FROM tblpelang INNER JOIN tblcabang ON tblpelang.KodeCabang = tblcabang.KodeCabang $wherecond ORDER BY tblpelang.KodeCabang ASC";
$sqlquery = DBQuery( $perintahdb );
while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {
	$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Kode'], $sqlrow['Nama'], @Date2JQueryDate($sqlrow['Non_Aktif']));	
}

@DBQueryFree($sqlquery);

$pdf->Output('Member Report ' . $detail .'.pdf','I');
?>